# Class JShellException

java.lang.Object
java.lang.Throwable
java.lang.Exception
jdk.jshell.JShellException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `EvalException, UnresolvedReferenceException`

public class JShellException extends Exception
The superclass of JShell generated exceptions

Since:
  9
See Also:
  - Serialized Form

- ## Method Summary

  ### Methods declared in class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`